View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001311aMuleExternal Connpublic2008-04-29 13:092008-08-30 13:11
Reporterwild_oscar 
Assigned ToWuischke 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionSVN 
Target VersionFixed in Version 
Summary0001311: Amulegui cannot connect to amuled after a few hours
DescriptionDeleting the .aMule directory and starting from scratch (but keeping the config and credits files), amuled will start to hash the shared files. Amulegui can connect without a problem right after amuled starts. However, after a few hours of amuled connection, amulegui will not show download/upload files, connection status, D/U speed and search won't work. At the same time, amulecmd and amuleweb work without a problem, only amulegui is affected.
Additional Informationhttp://forum.amule.org/index.php?topic=14876.0 [^]
TagsNo tags attached.
Fixed in Revision
Operating SystemAny
Attached Files

- Relationships
related to 0001146resolvedWuischke Very unstable "content" in connection from amulegui(win32) to amuled(linux) 

-  Notes
(0002794)
wild_oscar (reporter)
2008-04-30 02:56

It seems that the file known.met may be responsible for this problem - deleting this file will make amulegui connect correctly for a few hours (until amuled rebuilds it...).
(0002795)
sturedman (developer)
2008-05-03 12:18

I've played around a bit with it and found:
- The remote gui protocol is very sensitive to dropped packets. If packets are lost, the whole connection goes out of sync and displays nothing useful anymore permanently (until you restart the remotegui).
- Remote packets are affected by the upload bandwidth throttler. That's why deleting known.met helps. It breaks your upload for a while, because aMule has to rehash all shared files. And during this time, the remotegui works better because there is more UL bandwidth available.
- Even with UL bandwidth = 0 (unlimited) it works sometimes, sometimes not (though better than with limit).
- with lots of files it works worse than with few, because more data has to be transferred.

Looks like the protocol needs some rework...
(0002806)
wild_oscar (reporter)
2008-05-05 12:41

Can this be the same issue as http://www.amule.org/abugs/view.php?id=1146 [^] ?
(0002808)
wild_oscar (reporter)
2008-05-08 16:20

Any chance of:
1) merging this issue with http://bugs.amule.org/view.php?id=1146 [^]
2) Prioritizing it, as it is making amulegui useless right now?

- Issue History
Date Modified Username Field Change
2008-04-29 13:09 wild_oscar New Issue
2008-04-29 13:09 wild_oscar Operating System => Any
2008-04-30 02:56 wild_oscar Note Added: 0002794
2008-05-03 12:18 sturedman Note Added: 0002795
2008-05-05 12:41 wild_oscar Note Added: 0002806
2008-05-08 16:20 wild_oscar Note Added: 0002808
2008-08-30 13:11 Wuischke Relationship added related to 0001146
2008-08-30 13:11 Wuischke Status new => resolved
2008-08-30 13:11 Wuischke Resolution open => fixed
2008-08-30 13:11 Wuischke Assigned To => Wuischke


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker